AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.FastAGI.Command
RecordFileCommand Class
RecordFileCommand Constructor
RecordFileCommand Methods
RecordFileCommand Properties

| RecordFileCommand Class

Record to a file until a given dtmf digit in the sequence is received.
Returns -1 on hangup or error.
The format will specify what kind of file will be recorded. The timeout is the maximum record time in milliseconds, or -1 for no timeout. Offset samples is optional, and if provided will seek to the offset without exceeding the end of the file. "maxSilence" is the number of seconds of maxSilence allowed before the function returns despite the lack of dtmf digits or reaching timeout.
Inheritance Hierarchy
System
Object
AsterNET.FastAGI.Command
AGICommand
AsterNET.FastAGI.Command
RecordFileCommand

Namespace: AsterNET.FastAGI.Command
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class RecordFileCommand : AGICommand

    Public Class RecordFileCommand
    	Inherits AGICommand

    public ref class RecordFileCommand : public AGICommand

    type RecordFileCommand =
        class
            inherit AGICommand
        end

The RecordFileCommand type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| RecordFileCommand(String, String, String, Int32) | Creates a new RecordFileCommand.
| RecordFileCommand(String, String, String, Int32, Int32, Boolean, Int32) | Creates a new RecordFileCommand.

Top
Methods

| Name | Description
--- | --- | ---
| BuildCommand | (Overrides AGICommand BuildCommand .)
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| EscapeAndQuote | (Inherited from AGICommand.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from AGICommand.)

Top
Properties

| Name | Description
--- | --- | ---
| Beep | Get/Set true if a beep should be played before recording. false if not.
| EscapeDigits | Get/Set the digits that allow the user to end recording.
| File | Get/Set the name of the file to stream.
| Format | Get/Set the format of the file to be recorded, for example "wav".
| Offset | Get/Set the offset samples to skip.
| Timeout | Get/Set the maximum record time in milliseconds, or -1 for no timeout.

Top
See Also

#### Reference

AsterNET.FastAGI.Command Namespace